libzypp 17.37.10

zypp::ChecksumFileChecker Class Reference

Built in file checkers. More...

`#include <zypp/FileChecker.h>`

## Public Types
typedef CheckSumCheckException | ExceptionType

## Public Member Functions
| ChecksumFileChecker (CheckSum checksum)
| Constructor.
void | operator() (const Pathname &file) const
| Try to validate the file.

## Private Attributes
CheckSum | _checksum

## Detailed Description

Built in file checkers.

Checks for a valid checksum and interacts with the user.

Definition at line 47 of file FileChecker.h.

## Member Typedef Documentation

## ◆ ExceptionType

typedef CheckSumCheckException zypp::ChecksumFileChecker::ExceptionType

Definition at line 50 of file FileChecker.h.

## Constructor & Destructor Documentation

## ◆ ChecksumFileChecker()

zypp::ChecksumFileChecker::ChecksumFileChecker | ( | CheckSum | checksum | ) |

Constructor.

Parameters

  checksum | Checksum that validates the file

Definition at line 32 of file FileChecker.cc.

## Member Function Documentation

## ◆ operator()()

void zypp::ChecksumFileChecker::operator() | ( | const Pathname & | file | ) | const

Try to validate the file.

Parameters

  file | File to validate.

Exceptions

  CheckSumCheckException | if validation fails

Definition at line 36 of file FileChecker.cc.

## Member Data Documentation

## ◆ _checksum

CheckSum zypp::ChecksumFileChecker::_checksum
| private

Definition at line 64 of file FileChecker.h.

The documentation for this class was generated from the following files:

- zypp/FileChecker.h
- zypp/FileChecker.cc